import 'package:json_annotation/json_annotation.dart';

// part 'membership_level_term_and_condition_model.g.dart';
// @JsonSerializable()
class MembershipLevelTermAndConditionModel {
  final String? icon;
  final String? title;
  final String? content;

  MembershipLevelTermAndConditionModel({this.icon, this.title, this.content});

  factory MembershipLevelTermAndConditionModel.fromJson(Map<String, dynamic> json) {
    return MembershipLevelTermAndConditionModel(
      icon: json['icon'] as String?,
      title: json['title'] as String?,
      content: json['content'] as String?,
    );
  }

  Map<String, dynamic> toJson() => {'icon': icon, 'title': title, 'content': content};
}